
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JavaScript获取窗口可视区域的宽高的例子 / iVAN</title>

    <meta name="description" content="JavaScript获取窗口可视区域的宽高的例子 在jQuery中我们很容易就可以获取整个浏览器窗口可视区域的宽高:  代码如下 复制代码 alert($(window).height()); //浏览器时下窗口可视区域高度 alert($(document).height()); //浏览器时下窗口文档的高度 alert($(document.body).height());//浏览器时下窗口文档body的高度 alert($(document.body).outerHeight(true));//浏览器时下窗口文档body的总高度 包括bo">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">JavaScript获取窗口可视区域的宽高的例子</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在jQuery中我们很容易就可以获取整个浏览器窗口可视区域的宽高：</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />alert($(window).height()); //浏览器时下窗口可视区域高度<br />
alert($(document).height()); //浏览器时下窗口文档的高度<br />
alert($(document.body).height());//浏览器时下窗口文档body的高度<br />
alert($(document.body).outerHeight(true));//浏览器时下窗口文档body的总高度 包括border padding margin<br />
alert($(window).width()); //浏览器时下窗口可视区域宽度<br />
alert($(document).width());//浏览器时下窗口文档对于象宽度<br />
alert($(document.body).width());//浏览器时下窗口文档body的高度<br />
alert($(document.body).outerWidth(true));//浏览器时下窗口文档body的总宽度 包括border padding margin<br />
 <br />
alert($(document).scrollTop()); //获取滚动条到顶部的垂直高度<br />
alert($(document).scrollLeft()); //获取滚动条到左边的垂直宽度</p>
</td>
</tr>
</table>
<p>但是在原生JavaScript中如何获取这个值呢？关于获取这个值的说法网上一大堆，但大多数都是获取屏幕宽高，而非浏览器可视区域的宽高。因为屏幕大小对于网页来说不是很重要，但可视区域可就不一样了，用户可能随时改变浏览器的大小，所以获取浏览器可视区域的宽高可以动态调整一些需要JavaScript控制的内容。什么是可视区域呢？</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE0MDMxMjA3MjQwNjY1My5qcGc=.jpg"></p>
<p>如图中的FireFox浏览器，虽然浏览器整个窗口很大，但控制台却占用了一半，所以可视区域是指能显示网页内容区域的宽高，因为控制台不能显示网页内容，所以控制台不算，你拉动控制台的时候网页可视区域的宽高也会随之改变。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE0MDMxMjA3MjQwODg5LmpwZw==.jpg"></p>
<p>可视区域的宽高并不等于内容的狂高，如图中的网页任何内容都没有，但可视区域的高跟它没有任何关系，如果内容超过可视区域的高度或者宽度就出现滚动条。要获取可视区域的宽高每个浏览器的获取方法不一样，如：</p>
<p>FireFox <strong>document.body.scrollHeight</strong></p>
<p>Chrome/IE <strong>document.documentElement.clientHeight</strong></p>
<p>于是我写了一个方法，兼容IE(7+)/Chrome/FireFox等主流浏览器</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />var winSize = function() { <br />
    var e = window, <br />
        a = 'inner'; <br />
  <br />
    if (!('innerWidth' in window )){ <br />
        a = 'client'; <br />
        e = document.documentElement || document.body; <br />
    } <br />
  <br />
    return { width : e[ a+'Width' ] , height : e[ a+'Height' ] }; <br />
}; <br />
  <br />
winSize().height;   // height <br />
winSize().width;    // width</p>
</td>
</tr>
</table>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 06:46:50</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%bd%91%e9%a1%b5/" title="网页">网页</a>, <a href="https://www.iamivan.net/tag/%e6%b5%8f%e8%a7%88%e5%99%a8/" title="浏览器">浏览器</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e6%a1%a3/" title="文档">文档</a>, <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>JavaScript获取窗口可视区域的宽高的例子的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnRWl2p.html" rel="bookmark">通过JQuery获取窗口和元素的宽高</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;script type=&quot;text/javascript&quot;&gt; $(document).ready(function()                  { alert($(window).height()); //浏览器当前窗口可视区域高度 alert($(document).height()); //浏览器当前窗口文档的高度 alert($(document.body).height());//浏览器当前窗口文档body的高度 alert($(document.bod			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyKr8Zz.html" rel="bookmark">js&sol;jquery获取浏览器窗口可视区域高度和宽度以及滚动条高度实现代码&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				获取浏览器窗口的可视区域高度和宽度,滚动条高度有需要的朋友可参考一下.IE中,浏览器显示窗口大小只能以下获取: 代码如下复制代码 复制代码 代码如下: document.body.offsetWidth document.body.offsetHeight 在声明了DOCTYPE的浏览器中,可以用以下来获取浏览器显示窗口大小: 代码如下复制代码 复制代码 代码如下: document.documentElement.clientWidth document.documentElement.cli			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBkkV9M.html" rel="bookmark">Javascript获取窗口&lpar;容器&rpar;的大小及位置参数列举及简要说明&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Javascript获取窗口(容器)的大小及位置一系列的东西比较多,容易混淆,在这里列举及简要说明下: 属性方法说明: clientX 相对文档的水平坐标; clientY 相对文档的垂直坐标; offsetX 相对容器的水平坐标; offsetY 相对容器的垂直坐标; scrollWidth 获取对象的滚动宽度; scrollHeight 获取对象的滚动高度; scrollLeft 设置或获取位于对象左边界和窗口中目前可见内容的最左端之间的距离 ; scrollTop 设置或获取位于对象最顶端			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0bo3LDb.html" rel="bookmark">网页制作技巧&colon;获取页面可视区域的高度</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文章简介:获取页面可视区域高度,获取页面高度,获取滚动条滚动上去的页面高度. function getWH(){ var wh = {}; &quot;Height Width&quot;.replace(/[^\s]+/g,function(a){ var b = a.toLowerCase(); wh[b]=window[&quot;inner&quot;.concat(a)] document.compatMode ===&quot;CSS1Compat&quot; &amp;&amp; docum			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPLND1p.html" rel="bookmark">jQuery获取intput file图片的宽高</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何判断input file表单里上传的图片的宽高呢?这个时候图片还没真正上传,也不是在页面上展示,不能使用$(&quot;id&quot;).width()这种方式. 在Stack Overflow找到一个方法: var _URL = window.URL || window.webkitURL; $(&quot;#file&quot;).change(function (e) {     var file, img;     if ((file = this.files[0])) {        			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRw7Yqp.html" rel="bookmark">javascript获取图片宽高的例子总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  一.简陋的获取图片方式  代码如下   // 图片地址 后面加时间戳是为了避免缓存     var img_url = '/static/upload/2013/13643608813441.jpg?'+Date.parse(new Date());    // 创建对象     var img = new Image();     // 改变图片的src     img.src = img_url;     // 打印     alert('width:'+img.width+',heig			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBPP8Op.html" rel="bookmark">【转】JS获取浏览器可视区域的尺寸</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				from: http://www.xiaoboy.com/detail/1341545044.html          所谓可视区域是指能看得见的区域,即在浏览器中能看到页面的区域(高度与宽度).刚刚使用 document.body.clientHeight 来获取可视区域的高度得到的却是整个文档的高度,然后在cnblogs.com的一篇文章中获知需要通过 document.documentElement.clientHeight 才能获取到浏览器的可视区域的高度,顺便将该文章摘下来,如下:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQWPgOp.html" rel="bookmark">js&sol;jquery获取浏览器窗口的可视区域高度和宽度&comma;滚动条高度</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				IE中,浏览器显示窗口大小只能以下获取:  代码如下 复制代码 document.body.offsetWidth document.body.offsetHeight 在声明了DOCTYPE的浏览器中,可以用以下来获取浏览器显示窗口大小:  代码如下 复制代码 document.documentElement.clientWidth document.documentElement.clientHeight IE,FF,Safari皆支持该方法,opera虽支持该属性,但是返回的是页面尺寸:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ2125z.html" rel="bookmark">jQuery获取file控件中图片的宽高与大小&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题 如何判断input file表单里上传的图片的宽高和大小呢? 解决方案 这个时候图片还没真正上传,也不是在页面上展示,不能使用$(&quot;#id&quot;).width(),$(&quot;#id&quot;).height()这种方式. 在Stack Overflow找到一个方法获取input file图片文件的宽高: var _URL = window.URL || window.webkitURL; $(&quot;#file&quot;).change(function (e) { v			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQKEGp.html" rel="bookmark" class="title">妙用CSS滤镜为图片加上特殊效果</a>
					<div>
						css|滤镜 有时候,我们需要给网页中的图片加一些特殊的效果,比如透明.扭曲.阴影或者翻转等,我们一般都会想到用Photoshop等一些图形软件来处理,其实我们也可以利用CSS(层叠式样表)提供的一些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbakP2p.html" rel="bookmark" class="title">让iframe框架实现自动高度</a>
					<div>
						让iframe框架实现自动高度,参考代码如下:   &lt;iframe name=&quot;pindex&quot; src=&quot;about:blank&quot; scrolling=& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlvPOz.html" rel="bookmark" class="title">论坛：如何提高BBS的访问量</a>
					<div>
						如何提高BBS的访问量 我接触过的人当中,有很多很多的人,都是想通过建立论坛来增加网站的访问量,这个出发点是好的.但是我反复对他们说,建论坛不容易.这几年的感受就是,论坛是一种全身心的付出,那不是你想 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZVoaz.html" rel="bookmark" class="title">C&num;加密解密算法</a>
					<div>
						加密|解密|算法 /*************************字符串加密算法***********************/public string EncryptString(string ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7aW5b.html" rel="bookmark" class="title">smarty模板引擎之分配数据类型</a>
					<div>
						 这篇文章主要介绍了smarty模板引擎之分配数据类型,实例分析了smarty模板引擎数据类型的使用技巧,具有一定参考借鉴价值,需要的朋友可以参考下     本文实例讲述了smarty模板引擎之分配数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7k9RRz.html" rel="bookmark" class="title">雷神911-S1g游戏本图赏评测</a>
					<div>
						  .雷神911-S1g是911系列最新续作,该机延续了911系列的造型设计,并且加入全新灰黑配色,设计上也有所微调,整体设计更为动感. ? 作为大家最为关心的显卡部分,911-S1g同样升级到最新的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3qZjp.html" rel="bookmark" class="title">PS制作梦幻天使效果图</a>
					<div>
						  梦幻效果后期技巧 由构思草稿中先制定了方案,后期需要萤火虫,和有湖面的森林,还有室外桃园的美感. 先在PS中绘制PSD 发光素材,可以在每幅画面中调整运用. 在场景上我们的地区点几乎找不到可以落脚 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywWOEz.html" rel="bookmark" class="title">怎样下载电子书到手机上&quest;电子书下载教程</a>
					<div>
						现在移动设备使用越来越多,并且多数移动设备都支持小说阅读,这也导致了不手手机小说用户,MP3小说用户,使用手机或移动设备看小说已经是再平常不过的事情了,不过笔者发现依然有不少朋友不知道怎样下载电子书, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72lrRp.html" rel="bookmark" class="title">java-spring添加&commat;Async后报错&period;BeanCurrentlyInCreationException</a>
					<div>
						问题描述 spring添加@Async后报错.BeanCurrentlyInCreationException 今天想优化一个action,所以在一个方法上添加了@Async的注解, 可是在启动程序时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLkxdb.html" rel="bookmark" class="title">rmq&lowbar;vs&lowbar;kafka</a>
					<div>
						RocketMQ与kafka对比(18项差异) 淘宝内部的交易系统使用了淘宝自主研发的Notify消息中间件,使用Mysql作为消息存储媒介,可完全水平扩容,为了进一步降低成本,我们认为存储部分可以进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6XOlz.html" rel="bookmark" class="title">OpenCv 绘图函数</a>
					<div>
						OpenCv 绘图函数   OpenCv画矩形有两个函数,一个是C的API,还有一个C++的API.在应用时一定要注意,不然就会出现错误. void cvRectangle( CvArr* img,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPQErp.html" rel="bookmark" class="title">基于android的无线视频监控，使用源码可是在pc端显示不了</a>
					<div>
						问题描述 基于android的无线视频监控,使用源码可是在pc端显示不了 http://www.cnblogs.com/feifei1010/archive/2012/08/31/2664939.ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6JRVb.html" rel="bookmark" class="title">iOS&sol;OS X内存管理（一）：基本概念与原理</a>
					<div>
						在Objective-C的内存管理中,其实就是引用计数(reference count)的管理.内存管理就是在程序需要时程序员分配一段内存空间,而当使用完之后将它释放.如果程序员对内存资源使用不当,有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwlglM.html" rel="bookmark" class="title">高手进-请问这个的canvas是怎么实现的？</a>
					<div>
						问题描述 请问这个的canvas是怎么实现的? http://www.pixiv.net/member_illust.php?mode=medium&amp;illust_id=45301950&am ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RV8Vb.html" rel="bookmark" class="title">调整自己，必须调整自己了</a>
					<div>
						      周末眼瞅着要过去了,想想这个周末,实在是堕落堕落!在家里玩了两天游戏,每每逼着自己去读点书,总是看会书就去玩游戏了! 最近买了不少书,比如MySQL技术内幕(InnoDB存储引擎),分布式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBL48b.html" rel="bookmark" class="title">应用-VB代码中com&plus;组件安装问题</a>
					<div>
						问题描述 VB代码中com+组件安装问题 '函数名称:AddComponent '作用:添加组件到com+对应应用中 '参数:sFolder COM+目录,sSourcePath源文件夹路径,sTar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7oQvM.html" rel="bookmark" class="title">微信公众平台开发（44）历史上的今天</a>
					<div>
						微信公众平台开发 历史上的今天 当年今日作者:方倍工作室 原文: http://www.cnblogs.com/txw1958/p/weixin-44-history.html   一.历史上的今天  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRdD3b.html" rel="bookmark" class="title">ip 点击-关于IP方面的。还望大神指点</a>
					<div>
						问题描述 关于IP方面的.还望大神指点 两台 笔记本连在无线路由器上,两台电脑IP地址自动分配的.两台电脑点击百度上的同一家网站,百度会记录那家网站点击增加一次or两次? 解决方案 两台笔记本连同一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRjLOb.html" rel="bookmark" class="title">三种部署SSD的主要途径</a>
					<div>
						本文介绍了三种部署SSD的主要途径:在阵列内部,在服务器内以及使用SSD设备.各种方式各有优劣,这其中还包括延迟问题和性能水平问题. 很少有一种新技术可以同时在提升性能的同时降低成本.不过,SSD这种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEXVOM.html" rel="bookmark" class="title">JMPSecurities将亚马逊评级初定为跑赢大盘</a>
					<div>
						北京时间12月3日晚间消息,据国外媒体今日报道,投资公司JMP Securities将亚马逊的股票评级初次评定为&quot;与大盘持平&quot;(Market Perform). 截至美国东部时间1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQGrlp.html" rel="bookmark" class="title">XtraReports，怎么显示报表设计器在客户端上，用哪个类</a>
					<div>
						问题描述 有大神用过DevExpres下的XtraReports的第三方控件吗?以前的版本,XtraReports下有XRDesignFormEx这个类,可供客户端编辑报表,但升级上来后,找不到这个类 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgoZ4M.html" rel="bookmark" class="title">美军开发人工智能原型机 未来可用于电子战</a>
					<div>
						据http://www.aliyun.com/zixun/aggregation/33114.html&quot;&gt;中国国防科技信息网报道,洛克希德·马丁公司将与美国国防先期研究计划局(DARP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeZqkM.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;消费者的不爽&rdquo;就是创新的源头</a>
					<div>
						一个在市场上畅销的产品,也许并不一定是从所谓功能性需求来看,而是从解决消费者不爽的问题开始的,譬如去掉那个该死的键盘,又比如随心所欲定制自己的鞋子. 而在曾经的iPhone新产品发布会上,身着紧身牛仔 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodrPvM.html" rel="bookmark" class="title">介绍IBM WebSphere Application Server中OSGi的新特性</a>
					<div>
						OSGi 为模块化编程提供了一个开放的.标准的框架.http://www.aliyun.com/zixun/aggregation/13387.html&quot;&gt;WebSphere Appl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYN216p.html" rel="bookmark" class="title">滨化股份被责令整改上市前夜急卖募投项目被曝光</a>
					<div>
						公司上市两周年本该是个值得庆贺的日子,滨化股份却在此时收到了一份尴尬的&quot;贺信&quot;. 2月16日,滨化股份公告称,根据中国证监会&lt;上市公司现场检查办法&gt;的有关规定,山东证监 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1N5lKp.html" rel="bookmark" class="title">C&num; 串口 SerialPort读取串口数据回显到文本框（显示不出来？）</a>
					<div>
						问题描述 求教:环境VS2010,RS-232,通过SerialPort读取COM1口数据,回显到文本框中,但是无法获取回显数据.而通过串口调试工具,可以读取到发送到串口的值?源码: 解决方案 本帖最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6xnqM.html" rel="bookmark" class="title">这个蛋疼的随机产生结果的快速排序</a>
					<div>
						问题描述 public static void quickSort2(int[] sourse, int low, int high){if(low&gt;high)return;int pivot= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBk3RdM.html" rel="bookmark" class="title">在您企业的业务中整合NoSQL数据库的10项小贴士</a>
					<div>
						NoSQL数据库提供的灵活敏捷性.可扩展性.性能和可用性,并能够支持当今企业所采用的多种应用程序,但对于NoSQL数据库的部署却并不总是一件能够轻松容易实现的任务.而在本文中,我们将为广大读者介绍关于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvX0VM.html" rel="bookmark" class="title">asp&period;net获取服务器基本信息的方法代码&lowbar;实用技巧</a>
					<div>
						复制代码 代码如下: //Server Name&quot;Server Name&quot;: Server.MachineName&quot;Server Domain&quot;: Reques ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPwy8p.html" rel="bookmark" class="title">乐途旅游网被指暴力裁员 管理层与员工各执一词</a>
					<div>
						近日,乐途旅游网被来自微博及论坛的种种负面舆论推到了风口浪尖.这个在互联网打拼8年有余的公司被指暴力裁员,团队规模从之前200多人削减至100余人.对于是否裁员,管理层与离职员工各执一词. 在接受Do ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
